#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 cryptonite-conduit
version:              0.2.2
visibility:           public
id:                   cryptonite-conduit-0.2.2-4yhfIodIMaI731X98VjWZB
key:                  cryptonite-conduit-0.2.2-4yhfIodIMaI731X98VjWZB
license:              BSD-3-Clause
copyright:            Vincent Hanquez <vincent@snarc.org>
maintainer:           vincent@snarc.org
author:               Vincent Hanquez <vincent@snarc.org>
stability:            experimental
homepage:             https://github.com/haskell-crypto/cryptonite-conduit
synopsis:             cryptonite conduit
description:
    Conduit bridge for cryptonite

    For now only provide a conduit version for hash and hmac, but
    with contribution, this could provide cipher conduits too,
    and probably other things.

category:             Cryptography, Conduit
abi:                  0f938a6ffbffed1dd7c4281d3cec92dc
exposed:              True
exposed-modules:
    Crypto.Cipher.ChaChaPoly1305.Conduit Crypto.Hash.Conduit
    Crypto.MAC.HMAC.Conduit Crypto.PubKey.ECIES.Conduit

import-dirs:          /usr/lib/ghc-9.0.2/site-local/cryptonite-conduit-0.2.2
library-dirs:         /usr/lib/ghc-9.0.2/site-local/cryptonite-conduit-0.2.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/cryptonite-conduit-0.2.2
hs-libraries:         HScryptonite-conduit-0.2.2-4yhfIodIMaI731X98VjWZB
depends:
    base-4.15.1.0 bytestring-0.10.12.1
    conduit-1.3.4.2-CqoOPzbG2c9FX4HafAw3yR
    conduit-extra-1.3.5-IWmRqYf3NXfJ5KCzBVN1bH
    cryptonite-0.29-F73X5cb4KpaA5YQwsDP2gi exceptions-0.10.4
    memory-0.16.0-FBfJqtDB5FTKsDjiBBMycd
    resourcet-1.2.4.3-BdQWxecSYgHjEuNhxaS4D transformers-0.5.6.2

haddock-interfaces:
    /usr/share/doc/haskell-cryptonite-conduit/html/cryptonite-conduit.haddock

haddock-html:         /usr/share/doc/haskell-cryptonite-conduit/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

